#ifndef __CFolder_H_
#define __CFolder_H_

#pragma warning(disable: 4786)
#define WIN32_LEAN_AND_MEAN

#include <stdio.h>
#include <windows.h>

#include <comdef.h>
#include <shlobj.h>
#include <commctrl.h>

#include <assert.h>

#pragma comment(lib, "Comctl32.lib")

#include <map>
using std::map;

// litestep headers
#include "C:\Litestep\ls-b24\lsapi\lsapi.h"
#include "C:\Litestep\ls-b24\lsapi\common.h"
#include "C:\Litestep\ls-b24\lsapi\lswinbase.h"
#include "C:\Litestep\ls-b24\lsapi\safestr.h"

extern "C"
{
	__declspec( dllexport ) int initModuleEx(HWND parent, HINSTANCE dll, LPCSTR szPath);
	__declspec( dllexport ) void quitModule(HINSTANCE dllInst);
}

#define APP_NAME "SmoogleFolderView"
#define FOLDER_CLASSNAME "SmoogleFolderViewFolder"

extern HWND gDesktopWnd;
extern HWND gPlacementWnd;

#define RelayToDesktop() SendMessage(gDesktopWnd, uMsg, wParam, lParam)

#endif

