/*============================================================*

	-ParseFile.h-	

All content  Copyright 2001 Nicholas Cooper.
By Smoogle - Saturday, 23 March 2002 - Initial revision
*============================================================*/

#ifndef PARSE_FILE_HEADER_H
#define PARSE_FILE_HEADER_H

#ifndef MAX_LINE_LENGTH
#define MAX_LINE_LENGTH 4096
#endif


class ParseFile
{
	
	// the currently active token
	char mToken[MAX_LINE_LENGTH];

	// temp
	char mWorkingBuffer[MAX_LINE_LENGTH];

	// the file buffer
	char* mFile;
	// the current position
	char* mPosition;

	// process comments
	bool Comment();
public:
	ParseFile(const char* filename);
	~ParseFile();

	const char* NextToken();
	const char* GetToken();

	void SkipLine();
	void Reset();

	bool isOk();
};

#endif